# $Revision: 1.33 $, $Date: 2002/08/18 15:36:07 $
Summary:	NNTP server for small sites
Summary(pl):	Serwer NNTP przeznaczony dla nieduych serwerw
Name:		leafnode+
Version:	2.14
Release:	5
License:	Free
Group:		Networking/Daemons
Source0:	http://www.io.com/~kazushi/leafnode+/%{name}-%{version}.tar.gz
Source1:	%{name}.inetd
Patch0:		%{name}-DESTDIR.patch
URL:		http://www.io.com/~kazushi/leafnode+/
Requires(post,postun):	rc-inetd
Requires:	inetdaemon
Provides:	nntpserver
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Obsoletes:	leafnode
Conflicts:	inn

%description
Leafnode+ is a USENET software package designed for small sites, with
a few tens of readers and only a slow link to the net. Leafnode+ has
been derived from leafnode-1.4.

%description -l pl
Leafnode+ to zestaw programw umoliwiajcych stworzenie niewielkiego
serwera NNTP dla niewielkiej liczby uytkownikw, bez potrzeby
posiadania szybkiego cza do sieci. Leafnode+ zosta napisany na
podstawie programu leafnode-1.4.

%prep
%setup -q
%patch0 -p1

%build
%{__make} LDFLAGS="%{rpmldflags}" \
	CFLAGS="%{rpmcflags} -DHAVE_POSIX_REGCOMP" \
	DESTDIR=$RPM_BUILD_ROOT \
	PREFIX=%{_prefix} \
	MANDIR=%{_mandir} \
	LIBDIR=%{_sysconfdir}/%{name} \
	SPOOLDIR=%{_var}/spool/news

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sbindir},%{_mandir}/man8} \
	$RPM_BUILD_ROOT{%{_sysconfdir}/%{name},/etc/sysconfig/rc-inetd} \
	$RPM_BUILD_ROOT%{_var}/spool/news

%{__make} installall \
	DESTDIR=$RPM_BUILD_ROOT \
	PREFIX=%{_prefix} \
	MANDIR=%{_mandir} \
	LIBDIR=%{_sysconfdir}/%{name} \
	SPOOLDIR=%{_var}/spool/news \

install %{SOURCE1} $RPM_BUILD_ROOT/etc/sysconfig/rc-inetd/nntpd

touch $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/groupinfo
rm -f $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/config.example

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -f /var/lock/subsys/rc-inetd ]; then
	/etc/rc.d/init.d/rc-inetd reload 1>&2
else
	echo "Type \"/etc/rc.d/init.d/rc-inetd start\" to start inet server" 1>&2
fi

%postun
if [ -f /var/lock/subsys/rc-inetd ]; then
	/etc/rc.d/init.d/rc-inetd reload
fi

%files
%defattr(644,root,root,755)
%doc README COPYING FAQ Changes config.example
%config %dir %attr(770,root,news) %{_sysconfdir}/leafnode+
%ghost %attr(664,news,news) %{_sysconfdir}/leafnode+/groupinfo
%attr(750,root,news) %{_sbindir}/*
%attr(2770,root,news) %{_var}/spool/news
%attr(640,root,root) /etc/sysconfig/rc-inetd/nntpd
%{_mandir}/man8/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: leafnode+.spec,v $
Revision 1.33  2002/08/18 15:36:07  blues
- release 5 - license fix, new doc

Revision 1.32  2002/04/11 14:20:39  qboosh
- Conflicts: inn, release 4

Revision 1.31  2002/02/22 23:29:10  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.30  2002/02/02 10:20:19  kloczek
- release 3.

Revision 1.29  2002/01/18 02:13:36  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.28  2001/10/30 00:31:04  kloczek
- release 2.

Revision 1.27  2001/10/27 09:23:44  grzegorz
- changed attr to (664,news,news) for %%{_sysconfdir}/leafnode+/groupinfo

Revision 1.26  2001/09/19 18:37:56  kloczek
- replaced "Require: rc-inetd" rule by "Require(post,postun): rc-inetd"

Revision 1.25  2001/09/19 15:43:45  orzech
- upgrade to 2.14
- rel 1

Revision 1.24  2001/07/28 21:37:29  blues
- typo: %s/sever"/server"/

Revision 1.23  2001/07/26 05:42:09  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.21  2001/05/23 02:14:54  qboosh
- use %%rpmldflags

Revision 1.20  2001/04/30 16:05:20  kloczek
- added using %%{rpmcflags} macro.

Revision 1.19  2001/02/04 11:13:47  orzech
- Release: 3
- %{__make} install substituted with %{__make} installall according to
  INSTALL and problems with /var/spool/news: now subdirs are
  autogenerated

Revision 1.18  2001/01/25 20:03:24  misiek
Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.17  2000/12/23 00:48:45  michuz
- changed %%{!?debug:...}%%{?debug...} to %%{?debug:...}%%{!?debug...}
  (now it's more C like)

Revision 1.16  2000/12/09 18:39:02  jajcus
- Release: 2

Revision 1.15  2000/12/09 17:55:14  jajcus
- file owners fixed (semi-automatically)
  (no special user (like http/news) should own his home directory nor
  files it doesn't create)

Revision 1.14  2000/11/24 20:27:07  kloczek
- updated to 2.12,
- fix: added passing -DHAVE_POSIX_REGCOMP in CFLAGS for correct compile all.

Revision 1.13  2000/11/06 16:52:06  kloczek
- fixed %install (missing make directory
  $RPM_BUILD_ROOT%%{_var}/spool/news).

Revision 1.12  2000/11/06 16:42:56  kloczek
- added using rpm new automation,
- few cosmetics.

Revision 1.11  2000/11/06 13:12:28  undefine
- updating do 2.11

Revision 1.10  2000/06/09 07:23:18  kloczek
- added using %%{__make} macro.

Revision 1.9  2000/05/30 09:07:43  kloczek
- spec adapterized,
- updated Source url.

Revision 1.8  2000/05/30 09:00:52  zagrodzki
- post/postun scripts

Revision 1.7  2000/05/19 06:22:29  waszi
- compressing manuals

Revision 1.6  2000/04/15 22:22:12  zagrodzki
- rc-inetd/nntpd instead of rc-inetd/leafnode+

Revision 1.5  2000/04/08 23:57:15  zagrodzki
- added missing $RPM_BUILD_ROOT

Revision 1.4  2000/04/08 23:53:05  zagrodzki
- install sysconfig directory before installing files

Revision 1.3  2000/04/08 23:52:00  zagrodzki
- provides: nntpserver (to avoid using conflicts: ... many, many times)

Revision 1.2  2000/04/08 23:49:01  zagrodzki
- added leafnode+ inetd config file

Revision 1.1  2000/04/08 23:02:46  zagrodzki
- initial release
